# first run this
#./nyserver head_frequencies.txt tail_frequencies.txt ngram_frequenices.txt 6140 cwtl pospair_frequencies.txt
# in /Users/mariaskeppstedt/compoundSplitter/saerapi

import socket
import common


class SocketConnetion:
    def __init__(self):
        HOST = '127.0.0.1'    # The remote host
        PORT = 6140              # The same port as used by the server
        self.socketInstance = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        self.socketInstance.connect((HOST, PORT))
        
    def getSocket(self):
        return self.socketInstance
    def closeSocket(self):
        self.socketInstance.close()
 
     
def invokeSplitter(word):
    socketConnection = SocketConnetion()
    END = "\nENDQ\n"
   
    coded = common.getLatinCodedWord(word)
    socketConnection.getSocket().send(coded + END)
    data = socketConnection.getSocket().recv(1024)
    #while not "</reply>" in data:
    #    data = data + s.recv(1024)
    socketConnection.closeSocket()
    if not '\t' in data:
        return False
    else:
        data = data.replace("</reply>","")
        data = data.replace("<reply>","")
        data = data.strip()
        splitted = data.split('\t')
        splittedWords = splitted[1].split('|')
        toReturn = []
        for el in splittedWords:
            if '-' in el:
                words = el.split('-')
                toReturn.extend([common.getUnicodedWordFromLatinCoded(item) for item in words])
            else:
                toReturn.append(common.getUnicodedWordFromLatinCoded(el))
        return toReturn


#print invokeSplitter("diabetessymptom")
#print invokeSplitter("hej")
