import common

FILENAME = "nrOfTokensInTags.txt"
MAXANTAL = 10

def printWord(current, rows, instancesOfSameInARow):
    if instancesOfSameInARow > MAXANTAL:
        for i in range(current - instancesOfSameInARow, current):
            row = rows[i]
            print row[0], row[len(row) - 2],
        print


def doPreprocess(rows, nomatch, tagsToEvaluate, outputForRun):
    tagDict = {}
    termDict = {}
    for tag in tagsToEvaluate:
        tagDict[tag] = {}
    lastClass = nomatch
    instancesOfSameInARow = 0
    toReturn = []
    for i in range(0, len(rows)):
        row = rows[i]
        if row == []:
            if lastClass != nomatch:
                #end last class
                common.addBag(instancesOfSameInARow, tagDict[lastClass])
            instancesOfSameInARow = 0
            toReturn.append(row)
            lastClass = nomatch
            
        else:
            correctColumnn = row[len(row) - 2]
            if correctColumnn != nomatch:
                [prefix, correctColumnn] = correctColumnn.split("-")
                if prefix == "B": # start of new
                    if lastClass != nomatch:
                    #end last class
                        common.addBag(instancesOfSameInARow, tagDict[lastClass])
                    instancesOfSameInARow = 1
                elif prefix == "I":
                    instancesOfSameInARow = instancesOfSameInARow + 1
                else: 
                    print "incorrect logic"
                    exit(1)
            else:
                
                if lastClass != nomatch:
                    #end last class
                    common.addBag(instancesOfSameInARow, tagDict[lastClass])
                instancesOfSameInARow = 0
            lastClass = correctColumnn
    
    f = open(outputForRun + "/" + FILENAME, "w")
    for tag in tagsToEvaluate:
        f.write(tag + str(tagDict[tag]) + '\n')
    f.close()
    return rows
