#########################################
# General properties, common to all runs

#how many times to do cross-validation. Typically, 10
n_fold_n = 2

#the tags to use in the evaluation
tagsToEvaluate = ['Hej', 'First_Name','Phone_Number', 'Location','Health_Care_Unit','Date_Part','Full_Date','Age', 'Diagnosis_proper']

# True if a new split always shall be generated, False if it shall only be generated if there is no current split. 
generateNewSplitIfThereAlreadyIsOne = False

#the folder containing the files with the corpus text
datafolder = "traindata"

# The path to granska. Ending with a /
granskaPath = "/Users/mariaskeppstedt/granska-tagger/"

# The path to where the terminology-files are. Ending with a /
#terminologyPath = "./"
terminologyPath = "/Users/mariaskeppstedt/snomed/versionhanteradkod/genereradeListor/"

#description
serieDescription = "En testserie"

###############################
# What to run
#only use letters a-z, 0-9 and no white space
#This is what to write in order to do many runs
#serieToRun = ["serie1", "serie2", "serie3_test"]

# This is what to write, if you only want to do one
serieToRun = ["serie1"]
